language-c-0.6.1: Analysis and generation of C code

Safe Haskell | None
Language | Haskell98

Language.C.Analysis.TypeConversions

Synopsis

- arithmeticConversion :: TypeName -> TypeName -> Maybe TypeName
- floatConversion :: FloatType -> FloatType -> FloatType
- intConversion :: IntType -> IntType -> IntType

# Documentation

arithmeticConversion :: TypeName -> TypeName -> Maybe TypeName #

For an arithmetic operator, if the arguments are of the given types, return the type of the full expression.

floatConversion :: FloatType -> FloatType -> FloatType #

intConversion :: IntType -> IntType -> IntType #